Debian Bug report logs - #342751
dh-make-perl: recursively create missing packages

version graph

Package: dh-make-perl; Maintainer for dh-make-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for dh-make-perl is src:dh-make-perl.

Reported by: Junji Sawada <junjis@dzeta.jp>

Date: Sat, 10 Dec 2005 04:03:23 UTC

Severity: wishlist

Found in version dh-make-perl/0.20

Fixed in version dh-make-perl/0.67-1

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gunnar Wolf <gwolf@debian.org>:
Bug#342751; Package dh-make-perl. Full text and rfc822 format available.

Acknowledgement sent to Junji Sawada <junjis@dzeta.jp>:
New Bug report received and forwarded. Copy sent to Gunnar Wolf <gwolf@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Junji Sawada <junjis@dzeta.jp>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [PATCH] make required debs from module dependency
Date: Sat, 10 Dec 2005 13:05:07 +0900
[Message part 1 (text/plain, inline)]
Package: dh-make-perl
Version: 0.20
Severity: wishlist
Tags: patch

Hi,

I implemented dh-make-perl-all which reads dh-make-perl output and makes
all non-debian modules.

I'm glad if you accept this patch.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14
Locale: LANG=ja_JP.eucJP, LC_CTYPE=ja_JP.eucJP (charmap=EUC-JP)

Versions of packages dh-make-perl depends on:
ii  debhelper                     5.0.9      helper programs for debian/rules
ii  dpkg-dev                      1.13.11    package building tools for Debian
ii  fakeroot                      1.5.5      Gives a fake root environment
ii  libmodule-depends-perl        0.10-1     identify the dependencies of a dis
ii  libyaml-perl                  0.39-1     YAML Ain't Markup Language (tm)
ii  make                          3.80-12    The GNU version of the "make" util
ii  perl                          5.8.7-8    Larry Wall's Practical Extraction 
ii  perl-modules [libpod-parser-p 5.8.7-8    Core Perl modules

Versions of packages dh-make-perl recommends:
ii  apt-file                      2.0.6      APT package searching utility -- c
ii  libmodule-build-perl          0.26-1     Subclassable and make-independant 

-- no debconf information
[dh-make-perl.diff (text/plain, attachment)]
[dh-make-perl-all (application/x-perl, attachment)]
[make-apt-repository (application/x-shellscript, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gunnar Wolf <gwolf@debian.org>:
Bug#342751; Package dh-make-perl. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs3@bonedaddy.net>:
Extra info received and forwarded to list. Copy sent to Gunnar Wolf <gwolf@debian.org>. Full text and rfc822 format available.

Message #10 received at 342751@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: 342751@bugs.debian.org
Cc: request@bugs.debian.org
Subject: I vote for the fixing of 342751 in dh-make-perl
Date: Thu, 15 Dec 2005 09:01:43 +0800
[Message part 1 (text/plain, inline)]
usertag 342751 + bittenby
thanks

I would love to see this wishlist item integrated, as it would make my
life easier - I'm trying to package WWW::Topica, and it has myriad perl
dependencies that are not in Debian yet. I may try to make a proper diff
integrating the original scripts soonish if you can't.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gunnar Wolf <gwolf@debian.org>:
Bug#342751; Package dh-make-perl. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs3@bonedaddy.net>:
Extra info received and forwarded to list. Copy sent to Gunnar Wolf <gwolf@debian.org>. Full text and rfc822 format available.

Message #15 received at 342751@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: 342751@bugs.debian.org
Subject: proper patch for 342751 (dh-make-perl-all)
Date: Thu, 15 Dec 2005 09:48:07 +0800
[Message part 1 (text/plain, inline)]
I've attached a patch that adds the files and fixes the packaging so
that everything is installed properly. The scripts do need manual pages
though. I've tested this on WWW::Topica, and it works like a charm!

Please add this patch!

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[dh-make-perl-all.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gunnar Wolf <gwolf@debian.org>:
Bug#342751; Package dh-make-perl. Full text and rfc822 format available.

Acknowledgement sent to Junji Sawada <junjis@dzeta.jp>:
Extra info received and forwarded to list. Copy sent to Gunnar Wolf <gwolf@debian.org>. Full text and rfc822 format available.

Message #20 received at 342751@bugs.debian.org (full text, mbox):

From: Junji Sawada <junjis@dzeta.jp>
To: 342751@bugs.debian.org
Subject: patch for dh-make-perl-all
Date: Thu, 15 Dec 2005 23:38:01 +0900
[Message part 1 (text/plain, inline)]
Thank you for making patch, Paul.

I'm sorry, I found bug after BTS.

* dh-make-perl-all doesn't work properly if module is required twice
* typo my E-mail address :-)
[dh-make-perl-all_20051215.patch (text/plain, inline)]
diff -u dh-make-perl-all_20051210/dh-make-perl-all dh-make-perl-all_20051215/dh-make-perl-all
--- dh-make-perl-all_20051210/dh-make-perl-all	2005-12-15 23:27:08.000000000 +0900
+++ dh-make-perl-all_20051215/dh-make-perl-all	2005-12-15 23:26:26.000000000 +0900
@@ -1,6 +1,6 @@
 #!/usr/bin/perl
 #
-# Copyright (C) 2005 Junji Sawada <junjis@dzeta,jp>, All Rights Reserved.
+# Copyright (C) 2005 Junji Sawada <junjis@dzeta.jp>, All Rights Reserved.
 #
 # dh-make-perl-all: make required debs from module dependency
 
@@ -50,6 +50,20 @@
 			#append needed modules
 			@modules = (trim(split(/,/, $need_modules)), @modules);
 			$need_non_debian = 1;
+			#remove overlapped modules
+			@new_modules = ();
+			foreach $module(@modules) {
+				$overlapped = 0;
+				foreach $new_module(@new_modules) {
+					if ($module eq $new_module) {
+						$overlapped = 1;
+					}
+				}
+				if (!$overlapped) {
+					push(@new_modules, $module);
+				}
+			}
+			@modules = @new_modules;
 			last;
 		}
 	}
diff -u dh-make-perl-all_20051210/make-apt-repository dh-make-perl-all_20051215/make-apt-repository
--- dh-make-perl-all_20051210/make-apt-repository	2005-12-15 23:27:08.000000000 +0900
+++ dh-make-perl-all_20051215/make-apt-repository	2005-12-15 23:26:26.000000000 +0900
@@ -1,6 +1,6 @@
 #! /bin/sh
 #
-# Copyright (C) 2005 Junji Sawada <junjis@dzeta,jp>, All Rights Reserved.
+# Copyright (C) 2005 Junji Sawada <junjis@dzeta.jp>, All Rights Reserved.
 
 CODENAME=sid
 

Information forwarded to debian-bugs-dist@lists.debian.org, Gunnar Wolf <gwolf@debian.org>:
Bug#342751; Package dh-make-perl. Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to Gunnar Wolf <gwolf@debian.org>. Full text and rfc822 format available.

Message #25 received at 342751@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: 342751@bugs.debian.org
Subject: Re: [PATCH] make required debs from module dependency
Date: Thu, 15 Dec 2005 16:10:36 -0600
This looks sweet! I'll definitively take a look at it soon - Not right
now, but in the next 3 days. If you hear nothing from me by then, feel
free to bug me ;-)

Greetings,

-- 
Gunnar Wolf - gwolf@gwolf.org - (+52-55)1451-2244 / 5623-0154
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF



Information forwarded to debian-bugs-dist@lists.debian.org, Gunnar Wolf <gwolf@debian.org>:
Bug#342751; Package dh-make-perl. Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to Gunnar Wolf <gwolf@debian.org>. Full text and rfc822 format available.

Message #30 received at 342751@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: 342751@bugs.debian.org
Subject: On my non-action
Date: Wed, 8 Mar 2006 13:01:38 -0600
Hi,

First of all - The last three days have been quite long - Around a
month each! Ok, how come I haven't applied the patch yet?

- The logic is a bit too invasive. I think the proper course of action
  would be to build the requested modules just as dh-make-perl --build
  would build them, and leave them lying in the current
  directory. Making an apt repository is a noble task, but I don't
  think it is our place to reinvent the wheel once again. There are
  plenty of tools that cover that area.
- It's lacking documentation. I will write a simple manpage for it
  once I dissociate dh-make-perl-all and make-apt-repository - that
  should be not much of a problem :)

I'm not neglecting or rejecting your code - I just want to make it a
bit cleaner, maybe even integrate it with dh-make-perl proper (or keep
it apart as it currently is, but without the invasive parts).

Greetings,

-- 
Gunnar Wolf - gwolf@gwolf.org - (+52-55)5623-0154 / 1451-2244
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#342751; Package dh-make-perl. Full text and rfc822 format available.

Acknowledgement sent to "Martín Ferrari" <martin.ferrari@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 342751@bugs.debian.org (full text, mbox):

From: "Martín Ferrari" <martin.ferrari@gmail.com>
To: "Gunnar Wolf" <gwolf@gwolf.org>
Cc: 342751@bugs.debian.org
Subject: Triaging on dh-make-perl
Date: Mon, 10 Dec 2007 23:35:37 -0300
Gunnar,

Have you had the opportunity to advance on this bug (last mail is from
you saying you were working on it)?

Maybe some pointer so me or other can finish it?

Saludos, Tincho.

-- 
Martín Ferrari




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#342751; Package dh-make-perl. Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #40 received at 342751@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: Martín Ferrari <martin.ferrari@gmail.com>
Cc: 342751@bugs.debian.org
Subject: Re: Triaging on dh-make-perl
Date: Tue, 11 Dec 2007 08:24:49 -0600
[Message part 1 (text/plain, inline)]
Martín Ferrari dijo [Mon, Dec 10, 2007 at 11:35:37PM -0300]:
> Gunnar,
> 
> Have you had the opportunity to advance on this bug (last mail is from
> you saying you were working on it)?
> 
> Maybe some pointer so me or other can finish it?

Hi,

Nope... And I left it lingering for far too long :-/ And now,
re-reviewing the patch, it does _not_ feel as invasive as to warrant
the response I gave... I remember I wanted to restructure the patch
along these lines:

- It adds to new binaries, one of which might be duplicating
  functionalities existing in other packages (make-apt-repository),
  although it is quite concise and well suited for the task at hand.
  (make-apt-repository could be moved to /usr/share/dh-make-perl if it
  is to be specific to us, though)

- I do know that we need to document make-apt-repository and
  dh-make-perl-all (unless one or both of them are moved to
  /usr/share) .

- I think dh-make-perl-all should be included as part of the main
  dh-make-perl, as a command-line option... But I'm not really sure
  about it. 

- dh-make-perl-all creates a cache/ directory wherever it is invoked -
  I understand that caches are to be preserved across invocations, so
  File::Temp::tempdir() is a no-go... But maybe defaulting to
  ~/.dh-make-perl/cache would be better. As for the Apt and Pool
  directories, similar notes. 

So, in short, that's what IMHO should be done. But, of course, when I
passed on maintenance to the pkg-perl group, I'm no longer the
package's owner! ;-)

-- 
Gunnar Wolf - gwolf@gwolf.org - (+52-55)5623-0154 / 1451-2244
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) help. Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Fri, 16 Apr 2010 12:39:10 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Fri, 16 Apr 2010 12:39:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'dh-make-perl: recursively create missing packages' from '[PATCH] make required debs from module dependency' Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Fri, 16 Apr 2010 12:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#342751; Package dh-make-perl. (Fri, 16 Apr 2010 12:51:03 GMT) Full text and rfc822 format available.

Message #49 received at 342751@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 342751@bugs.debian.org, junjis@dzeta.jp
Subject: Re: Bug#342751: dh-make-perl: recursively package missing dependencies
Date: Fri, 16 Apr 2010 15:36:52 +0300
tags 342751 help - patch
retitle 342751 dh-make-perl: recursively create missing packages
thanks

Hi,

This bug is five years old, but I'd like to comment on it.

There are several things I don't like in the patch.

* the two new scripts lack a license. This is a showstopper as it 
  gives noone but the original author to do anything with them
* detection of missing packages is made by parsing dh-make-perl's 
  output. This is too fragile. Imagine localisation kicking in.
* we no longer call apt-file directly. Besides, pointing it to a local 
  cache directory 'hides' the system-wide Contents files, which may be 
  needed
  There is another bug (#478781) which suggests using dpkg -S for 
  finding modules available in locally installed packages. Fixing that 
  bug would help and make the local-apt approach unnecessary, as the 
  locally-built packages may be needed as build-dependencies.
  Another approach would be to keep lists of CPAN distribution 
  contents and "plug" that in the module search. No actual package 
  build or install would be required.

'patch' tag removed.

That said, I like the idea. My plan is to first implement 
a --trace-depends option which would only print the dependency tree. 
This is in TODO, in case someone is interested:

    * add new command, trace-depends. To be used like

      dh-make-perl trace-depends --cpan Foo-Bar

      it shall output a tree-like structure of missing dependencies 
      without preparing any packaging yet

      Ryan52 already has a program which does this, in svn as
      ./scripts/cpan-unpackaged-deps.pl. Steal code. or wait for 
      Ryan52 to eventually do it himself.

    * use the procedure for finding the missing dependencies and 
      create packagiing for all of them.

It is not very clear /when/ I'll get to this though, so marking the 
bug 'help'.




Added tag(s) pending. Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Tue, 27 Apr 2010 15:57:03 GMT) Full text and rfc822 format available.

Removed tag(s) help. Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Fri, 30 Apr 2010 04:45:03 GMT) Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. (Fri, 30 Apr 2010 22:03:05 GMT) Full text and rfc822 format available.

Notification sent to Junji Sawada <junjis@dzeta.jp>:
Bug acknowledged by developer. (Fri, 30 Apr 2010 22:03:05 GMT) Full text and rfc822 format available.

Message #58 received at 342751-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 342751-close@bugs.debian.org
Subject: Bug#342751: fixed in dh-make-perl 0.67-1
Date: Fri, 30 Apr 2010 22:02:15 +0000
Source: dh-make-perl
Source-Version: 0.67-1

We believe that the bug you reported is fixed in the latest version of
dh-make-perl, which is due to be installed in the Debian FTP archive:

dh-make-perl_0.67-1.diff.gz
  to main/d/dh-make-perl/dh-make-perl_0.67-1.diff.gz
dh-make-perl_0.67-1.dsc
  to main/d/dh-make-perl/dh-make-perl_0.67-1.dsc
dh-make-perl_0.67-1_all.deb
  to main/d/dh-make-perl/dh-make-perl_0.67-1_all.deb
dh-make-perl_0.67.orig.tar.gz
  to main/d/dh-make-perl/dh-make-perl_0.67.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 342751@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated dh-make-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 30 Apr 2010 23:54:33 +0300
Source: dh-make-perl
Binary: dh-make-perl
Architecture: source all
Version: 0.67-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 dh-make-perl - helper for creating Debian packages from perl modules
Closes: 342751 478781 571632
Changes: 
 dh-make-perl (0.67-1) unstable; urgency=low
 .
   [ Damyan Ivanov ]
   * documentation: drop "--" in front of the commands
   * refresh: init ->rules before ->rules->drop_quilt
   * FromCPAN: handle version relation in META dependencies. Closes: #571632
   * do not populate dependency relation if there is no version
     requirements
   * Debian::Dependency now survives being given a string with leading
     spaces
   * make: implement --recursive. Creates debian/ for missing dependencies too.
     Closes: #342751
   * FromCPAN: drop leading 'v' from versions
   * a new module, Debian:DpkgLists is used to scan dpkg's file lists as a last
     resort for finding dependencies in locally-installed packages (a-la dpkg
     -S). Closes: #478781
   * Dependency: drop Debian::Version and use Dpkg::Version instances instead
     + add (build-)dependency on libdpkg-perl
   * make: try harder to discover already existing package by looking up
     distribution modules in APT contents and dpkg file lists. (cf. #530675)
   * extend the long description a bit
 .
   [ Salvatore Bonaccorso ]
   * fallback to  a dummy short description if none can be extracted
Checksums-Sha1: 
 a3e08febfe2615e5877591f95ecf4d3608e7cd17 2841 dh-make-perl_0.67-1.dsc
 645b39aa2505dabc4ee404d4377628565d3fd1a5 125205 dh-make-perl_0.67.orig.tar.gz
 e47015e03e642c00f48fbd1f28fbd26cc3c1ca59 19342 dh-make-perl_0.67-1.diff.gz
 d1dee118d77da4a257dce987270b175f2c88c857 157688 dh-make-perl_0.67-1_all.deb
Checksums-Sha256: 
 0693489962d0593068c32f0318d9a1f1e48dc81067f408e85207b9ce0b569d8f 2841 dh-make-perl_0.67-1.dsc
 2e8f6ce23c278e51e4be99f96621c7191e953aa78507578b55004df1f91e401d 125205 dh-make-perl_0.67.orig.tar.gz
 1596176f46b543b572c6790e6286a1b943705323572fc744d691fab8679206eb 19342 dh-make-perl_0.67-1.diff.gz
 c8c8e6b663838da45c0df2903edd2f2df9c0bd7649b684c79a53e1690136109e 157688 dh-make-perl_0.67-1_all.deb
Files: 
 b474af453061cb4b1c92556a7d908599 2841 perl optional dh-make-perl_0.67-1.dsc
 9a2fcd108687dda39f1b0c96b232076b 125205 perl optional dh-make-perl_0.67.orig.tar.gz
 45ea0ea2d1d6d57c8fd296726dc9a744 19342 perl optional dh-make-perl_0.67-1.diff.gz
 130d4c887a7bf605626315a15e3ff77b 157688 perl optional dh-make-perl_0.67-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJL20wyAAoJEOQbTFV/DYC+xVwP/0JD9/GNmqtH6g3uej+m4hjM
pgMRBPzUPXlq8fdPxMx3OBn3NUuQv1ycALp0CW6aaKwHe+MJr3BYeMw/eBuwZuSm
ArCF5eyMIiMH+77n94XudN0RvOijKf12HBdTbGLxjfa8uvKbenaiyq2OM9plRHhu
XVRpL5MZGcdxhuAjYuttYVfXl/RIFae6Jz1v4EsngPneP4oSndn7umZMJklHCncI
hDQxPiwf2Vqi/8BU8n0yyfxZjs51GtYJHfOfCye/KBCxVMB72kGYzzOHEG4/kRuy
LOia0xxTV1r9CMSRMgL9OSAg0FjfA7f/osZltnBkRoQ+A3ACDCb1+5Qbi6/1X0aB
HbAxMIpGpZyHU2lXKIz30o/I7arhMwfTluyArTKOiI/mcnTmBwtwk5SsSmmxp65x
4ZOHq8TWp2yWA+yTMsDv8IYKivGmsPMVPG4SXkwZXL+KdLqYgW+LE9bwPdP1x+bu
roYRK5JEulM9Nb3HlpZdtVXtsqXdCvTTKYm+Ch+RrEXBWGDVRS1Nox9qPHSvftqY
abLNAb5eXYwvqtI+xKe29d9Sx+pJoblsDiDcH2jcf/FOcK26RINT/N5xedes4ATC
K5NR8bpnYBcwU6f08CunrxBv9DLr83I0ZisUZTg3joPGAKlvpBofRvyXb0quEPiX
IAl/m5dY2PaVvyLlxgk+
=ruqI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 May 2010 07:34:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:00:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.